<?php
class Chronopost_Food_Block_Sales_Shipment_Grid_Renderer_Dlc
    extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Action
{

    public function render(Varien_Object $row)
    {
        $order_id = $row->getEntity_id();

        $_connection = Mage::getSingleton('core/resource')->getConnection('core_write');
        $_table = Mage::getSingleton('core/resource')->getTableName('sales_chronofood_order_dlc');
        $select = $_connection->select()
            ->from($_table, 'dlc')
            ->where('order_id=?', $order_id);
        $dlc = $_connection->fetchOne($select);

        if(!$dlc){
            $out = "<form action='#' method='POST'>";
            $out .= '<input type="text" id="date-'.$row->getIncrement_id().'" name="date"/>';
            $out .= "</form><script type=\"text/javascript\">// <![CDATA[
            Calendar.setup({
            inputField : 'date-".$row->getIncrement_id()."',
            ifFormat : '%e/%m/%Y',
            button : 'date_from_trig',
            align : 'Bl',
            singleClick : true
            });
            // ]]></script>";
        }else{
            $out = '<input type="text" value="'.date( "d/m/Y" , $dlc).'" id="date-'.$row->getIncrement_id().' issent" name="date" disabled="true" />';
        }

        return $out;
    }
}
