<?php
class Chronopost_Food_SrdvController extends Mage_Core_Controller_Front_Action {

	/**
     * Get payment method step html
     *
     * @return string
     */
    protected function _getchronofreshsrdvHtml() {
        return $this->getLayout()->getBlock('root')->toHtml();
    }

	/**
     * Get planning
     */
    public function getPlanningAction() {

        header('Content-Type: text/html; charset=ISO-8859-1');
        $result = array();
        $shippingMethod = $this->getRequest()->getPost('shipping_method');
        if (extension_loaded('soap')) {

            $shippingMethodCode = explode("_", $shippingMethod);
            $shippingMethodCode = $shippingMethodCode[0];
            $this->loadLayout('checkout_onepage_shippingchronofreshsrdv');
            $result['goto_section'] = 'shipping-method';
            $result['update_section'] = array(
                'name' => 'shipping-method-'.$shippingMethod,
                'html' => $this->_getchronofreshsrdvHtml()
            );

            $result['planning'] = true;
        } else {
            $result['error'] = true;
            $result['message'] = $this->__('Sorry for inconvenience, The SOAP extension is not installed in the server. Please contact the site administrator.');
        }

        $this->getResponse()->setBody(json_encode($result));
    }
}