Event.observe(window, 'load', function() {
    $$('td.etiquette_expedition a').each(function(element) {
        element.observe('click', function(event){
            Event.stop(event);

            var date = $(this).up('tr').down('.dlc input').value;
            var dateSplit = date.split("/");
            var timestamp = new Date(dateSplit[2]+"-"+dateSplit[1]+"-"+dateSplit[0]).getTime()/1000;
            var now = Math.round(new Date().getTime()/1000);

            if(date != "" && timestamp > now){
                date = date.split("/");
                var timestamp = new Date(date[2]+"-"+date[1]+"-"+date[0]).getTime()/1000;

                var newHref = this.href;
                newHref += "dlc/"+timestamp;

                window.location.href = newHref;
            }else{
                if(date == ""){
                    alert('Veuillez renseigner la Date limite de consommation de votre envoi');
                }else if(timestamp < now){
                    alert('Erreur : Date limite de consommation antérieur a la date actuelle');
                }
            }

        });
    });

    if ($('html-body').hasClassName('adminhtml-food-export-index')) {
        // Unbind original Magento event
        $$('#food_export_order_grid_massaction-form button')[0].removeAttribute('onclick');

        // Bind new custom event, with expiration date verifications
        $$('#food_export_order_grid_massaction-form button').each(function(element) {
            element.observe('click', function(event){
                var dlcErrors = false;
                // Cleanup
                $$('food_export_order_grid_massaction-form input.dlc_date').each(function (el) {
                    el.remove();
                });

                $$('td.dlc input').each(function (element) {
                    // Cleanup
                    element.removeClassName('validation-failed');

                    // Only if row is checked for export
                    if (!element.up('tr').down('.massaction-checkbox').checked) {
                        return;
                    }

                    var order_id = element.up('tr').down('.massaction-checkbox').value;
                    var date = element.value;
                    var dateSplit = date.split("/");
                    var timestamp = new Date(dateSplit[2]+"-"+dateSplit[1]+"-"+dateSplit[0]).getTime()/1000;
                    var now = Math.round(new Date().getTime()/1000);

                    if(date == "" || timestamp <= now){
                        dlcErrors = true;
                        element.addClassName('validation-failed');
                    } else {
                        $('food_export_order_grid_massaction-form').insert('<input type="hidden" class="dlc_date" name="date['+ order_id +']" value="'+ date +'" />');
                    }
                });

                if(dlcErrors == true){
                    alert('Veuillez vérifier les dates limites de consommation');
                } else {
                    // Resume
                    food_export_order_grid_massactionJsObject.apply();
                }
            });
        });
    }
});